> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Campaign

> Partially update a campaign configuration.

Accepts any subset of the campaign fields. Fields not included in the request body are left unchanged.
Returns the full updated campaign object.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/sms/api.json patch /campaigns/v1/campaigns/{campaign_id}
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /campaigns/v1/campaigns/{campaign_id}:
    patch:
      tags:
        - Campaigns
      summary: Update Campaign
      description: >-
        Partially update a campaign configuration.


        Accepts any subset of the campaign fields. Fields not included in the
        request body are left unchanged.

        Returns the full updated campaign object.
      operationId: >-
        campaigns_service_patch_campaign_with_id_v1_campaigns__campaign_id__patch
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            $ref: 41c3fdbf-06a7-4b35-b7c6-cb19760a1d63
            description: Campaign configuration ID
          description: Campaign configuration ID
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
              title: Body
      responses:
        '200':
          description: Updated campaign configuration object
          content:
            application/json:
              schema:
                $ref: c0acc02c-de97-4819-aab2-f2b1169835f5
        '400':
          description: Bad request — invalid input or constraint violation
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
        '404':
          description: Requested resource not found
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: 61188eef-82a8-4002-94b5-80ed8ff45c7a
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````